<?xml version="1.0" encoding="ISO-8859-1"?>

<stats_blocks>
	<block name="global">
		<!-- Debug information -->	
		<var name="show_collision_shape" type="boolean" default="false"/>
		<var name="show_bodies" type="boolean" default="false"/>
		<var name="show_phantoms" type="boolean" default="false"/>
		<var name="show_camera" type="boolean" default="false"/>
		<var name="show_camera_controller" type="boolean" default="false"/>
		<var name="show_water" type="boolean" default="false"/>
		<var name="show_collision_mover" type="boolean" default="false"/>
		<var name="show_unit_rotpos" type="boolean" default="false"/>
		<var name="show_world_listener" type="boolean" default="false"/>
		<var name="show_ai_steering" type="boolean" default="false"/>
		<var name="show_point_detector" type="boolean" default="false"/>
		<var name="show_sound" type="boolean" default="false"/>
		<var name="show_lights" type="boolean" default="false"/>
		<var name="show_links" type="boolean" default="false"/>
		<var name="show_ambient_cube_blend" type="boolean" default="false"/>
		<var name="show_bones" type="boolean" default="false"/>
		<var name="show_find" type="boolean" default="false" />
		<var name="show_raycast" type="boolean" default="false" />
		<var name="show_ballistics" type="boolean" default="false" />
		<var name="show_hud_windows" type="boolean" default="false" />
		<var name="post_processor" type="boolean" default="true" />
		<var name="show_hud" type="boolean" default="true" />	
		<var name="show_mini_physics" type="boolean" default="false" />
		<var name="show_occluders" type="boolean" default="false" />
		<var name="show_vehicles" type="boolean" default="false" />
		<var name="show_nps" type="boolean" default="false" />
		<var name="show_cps" type="boolean" default="false" />
		<var name="show_mp_zones" type="boolean" default="false" />
		<var name="show_model_locks" type="string" default=""/>
		<var name="show_effect_surface_volume" type="boolean" default="false"/>
			
		<var name="render_world" type="boolean" default="true" />
		<var name="render_overlay" type="boolean" default="true" />
		<var name="render_bg_movie" type="boolean" default="false" />
		<var name="render_menu" type="boolean" default="false" />
		
		<var name="weapon_recoil" type="number" default="0.6"/>
		
		<var name="upright_update_characters" type="number" default="0.0"/>
		
		<!-- Graphs -->
		<var name="main_graph" type="object"/>
		<var name="vehicle_graph" type="object"/>
		<var name="long_path_distance" type="number" default="11000"/>
		<!-- decrapicated.. <=) -->
		<var name="show_overlay" type="boolean" default="false" />
		
		<var name="disable_rumble" type="boolean" default="true"/>
		<var name="verbose_animations" type="boolean" default="false"/>
		<var name="debug" type="boolean" default="true"/>
		<var name="debug_ai" type="boolean" default="false"/>
		<var name="debug_covers" type="boolean" default="false"/>
		<var name="debug_network" type="boolean" default="true"/>
		<var name="debug_attack" type="boolean" default="false"/>
		<var name="show_active_ai" type="boolean" default="false"/>
		
		<var name="debug_unit" type="string" default="mex_inf_leader"/>
		<var name="debug_weapon" type="string" default="g36"/>
		
		<var name="debug_pos" type="object"/>
		<var name="debug_targets" type="object"/>
		<var name="debug_pause" type="number" default="0"/>
		<var name="debug_ai_info" type="boolean" default="false"/>
		<var name="debug_loop" type="number" default="0"/> <!-- For looping in PlayerDebug and simulating a lower FPS -->
		<var name="debug_bool" type="boolean" default="false"/>
		
		<var name="invert_mouse" type="number" default="0"/>
		
		<!-- Toolbox -->
		<var name="toolbox" type="object"/>
		<var name="statsbox" type="object"/>

		<!-- Global Managers -->
		<var name="callback_manager" type="object"/>
		<var name="player_manager" type="object"/>
		<var name="vp_manager" type="object"/>
		<var name="slot_manager" type="object"/>
		<var name="event_manager" type="object"/>
		<var name="area_manager" type="object"/>
		<var name="world_manager" type="object"/>
		<var name="debug_manager" type="object"/>
		<var name="menu_manager" type="object"/>
		<var name="save_manager" type="object"/>
		<var name="inventory_manager" type="object"/>
		<var name="transition_manager" type="object"/>
		<var name="profile_manager" type="object"/>
		<var name="campaign_manager" type="object"/>
		<var name="damage_manager" type="object"/>
		<var name="ai_manager" type="object"/>
		<var name="awa_manager" type="object"/>
		<var name="cover_manager" type="object"/>
		<var name="editor_marker_manager" type="object"/>
		<var name="spawn_point_manager" type="object"/>
		<var name="group_manager" type="object"/>
		<var name="actor_manager" type="object"/>
		<var name="vehicle_manager" type="object"/>
		<var name="script_lightmap_manager" type="object"/>
		<var name="post_effect_manager" type="object"/>
		<var name="sky_manager" type="object"/>
		<var name="static_geometry_manager" type="object"/>
		<var name="statistic_manager" type="object"/>
		<var name="mission_condition_manager" type="object"/>
		<var name="chat_manager" type="object"/>
		
		<var name="mood_manager" type="object"/>
		<var name="adaption_manager" type="object"/>
		
		<var name="navpoint_manager" type="object"/>
		<var name="composition_manager" type="object"/>
		
		<var name="test_manager" type="object"/>
		<var name="network_test_manager" type="object"/>
		
		<var name="mission_command" type="object"/>
		
		<var name="ai_hive_brain" type="object"/>
		
		<!-- Network class objects -->
		<var name="network_manager" type="object"/>
		<var name="gamespy_manager" type="object"/>
		<var name="post_on_gamespy" type="boolean" default="false" />
		<var name="network_damage" type="object"/>
		<var name="network_identity" type="object"/>
		<var name="network_gametype" type="object"/>
		<var name="network_add_message" type="object"/>
		<var name="deathcam_manager" type="object"/>
		<var name="serverinfo_manager" type="object"/>
		
		
		<!-- Global Variables -->
		<var name="lightmap_render_quality" type="string" default="medium"/> <!--Lightmap renderer quality, draft, low, medium, high -->
		<var name="lightmap_size_quality" type="string" default="medium"/> <!-- Lightmap texture quality, draft, low, medium, high -->
		<var name="lightmap_debug" type="boolean" default="true"/> <!-- Turn on debug information and checks for light map parameters -->

		<var name="skip_intro" type="boolean" default="true"/> <!-- Set this to true to never see the intro before the main menu -->

		<var name="unit_library" type="map"/>
		
		<var name="camera_movement" type="number" default="0"/>
		<var name="warning_distance" type="number" default="0"/>
		
		<var name="mission_name" type="string" />
		<var name="mission_center_pos" type="string" />
		<var name="mission_camera_height" type="number" />
		<var name="mission_constrain_camera_height" type="number" />
		<var name="mission_time" type="string" default="day"/>
		<var name="mission_ambience_soundbank" type="string" default="ambience_industrial_day_sound"/>
		<var name="mission_tacticalmap_posteffect" type="string" default="reset"/>

		<var name="mission_compass_offset" type="number" default="0"/>

		<var name="backdrop" type="object" />
				
		<var name="show_credits" type="boolean" default="false" />

		<!-- Tactical Map Variables -->
		<var name="tacmap_id_counter" type="number" default="0" /><!--Increment this for every new unit placed on the tacmap to get a unique id -->
		
		<!-- Tactical Map Variables -->
		<var name="inv_disabled_weapons" type="object" />
		
		<!-- Development Variables -->
		<var name="landscape" type="object"/>
		
		<!-- Temp Variables -->
		<var name="artillery" type="boolean" default="false" />
		
		
		<!-- Multiplayer Variables -->
		<var name="multiplayer" type="boolean" default="false"/>
		<var name="multiplayer_banned_temporary" type="map"/>
		<var name="multiplayer_banned_permanent" type="map"/>
		<var name="multiplayer_not_coop" type="boolean" default="false" />
		<var name="multiplayer_has_sides" type="boolean" default="false" />
		<var name="multiplayer_has_zones" type="boolean" default="false" />
		<var name="multiplayer_show_zones" type="boolean" default="false" />
		<var name="multiplayer_show_supply" type="boolean" default="false" />
		<var name="multiplayer_show_player" type="boolean" default="false" />
		<var name="multiplayer_show_teammates" type="boolean" default="false" />
		<var name="multiplayer_show_campers" type="boolean" default="false" />
		<var name="multiplayer_has_ingame_inventory" type="boolean" default="false" />
		<var name="multiplayer_me" type="object"/>
		<var name="multiplayer_settings" type="object"/>
		<var name="multiplayer_nickname" type="string" default="John Doe"/>
		<var name="multiplayer_game_time" type="number" default="0"/>	<!-- Used by HUD_MP right now -->
		<var name="server" type="boolean" default="false"/>
		<var name="server_play" type="boolean" default="true"/>
		<var name="server_level" type="string" default="mp"/>
		<var name="server_standalone" type="boolean" default="false"/>
		<var name="server_approved" type="boolean" default="false"/>
		<var name="map_image_name" type="string" default="noimage"/>
		<var name="map_rotation" type="number" default="0"/>		
		<var name="map_corner_tl" type="object"/>
		<var name="map_corner_br" type="object"/>
		
		
		<!-- Multiplayer scoring -->
		<var name="mpscore_kill" type="number" default="10"/>
		<var name="mpscore_kill_own_zone" type="number" default="50"/>
		<var name="mpscore_teamkill" type="number" default="-150"/>
		<var name="mpscore_neutralize" type="number" default="50"/>
		<var name="mpscore_capture" type="number" default="300"/>
		<var name="mpscore_win" type="number" default="500"/>
		
		
		<var name="number_of_nps" type="number" default="0"/>
		<var name="number_of_cps" type="number" default="0"/>
		
		<var name="savegame_at_startup" type="object"/>
		
		<!-- Order names -->
		<var name="order_names" type="object"/>
		<var name="order_numbers" type="object"/>
		<var name="order_names_non_localized" type="object"/>
		
		<var name="show_groups" type="boolean" default="false"/>
		
		<var name="carrying_weight_max" type="number" default="15"/>

		<!-- Drag -->
		<var name="activate_drag_functionality" type="boolean" default="false"/>
		<var name="active_drag_distance" type="number" default="1000"/>
		<var name="forced_drag_distance" type="number" default="20000"/>
				
		<var name="game_mode" type="string"/>
		
		<!-- Order TacMap dis clamp -->
		<var name="order_clamp_tacmap_dis" type="number" default="150"/>
		<var name="order_clamp_tacmap_dis_combat" type="number" default="500"/>
		<var name="order_clamp_tacmap_ang" type="number" default="170"/>
		<var name="order_clamp_tacmap_ang_combat" type="number" default="50"/>
		
		<!-- cover search -->
		<var name="cover_search_upper_limit_mod" type="number" default="150"/>
		<var name="cover_search_lower_limit_mod" type="number" default="-150"/>
		<var name="cover_search_activate_straight_height" type="number" default="150"/>
		
		<!-- Visibility -->
		<var name="mission_visibility" type="number" default="1.0"/> <!-- 1.0 day, 0.5 night, 0.05 underwater and night with no eyes -->
		<var name="mission_visibility_day" type="number" default="1.0"/>
		<var name="mission_visibility_night" type="number" default="0.5"/>
		<var name="mission_visibility_bad_weather" type="number" default="0.9"/>
		
		<!-- Global cypher settings -->
		<var name="cypher_height" type="number" default="3000"/>
		<var name="cypher_height_max" type="number" default="5000"/>
		<var name="cypher_fov_max" type="number" default="70"/>
		<var name="cypher_fov_min" type="number" default="5"/>
		<var name="cypher_moving_zoom_mul" type="number" default="0.10"/>
		<var name="cypher_limit_zoom_mul" type="number" default="0.35"/>
		<var name="cypher_zoom_out_moving" type="number" default="0.1"/>
		<var name="cypher_zoom_out_quick" type="number" default="0.05"/>
		<var name="cypher_zoom_out_slow" type="number" default="0.001"/>
		<var name="cypher_target_velocity_clamp" type="number" default="200"/>
		<var name="cypher_keep_zoom_limit" type="number" default="1500"/>
		<var name="cypher_get_zoom_limit" type="number" default="100"/>
		<var name="cypher_zoom_angle" type="number" default="3"/>
		<var name="cypher_camera_speed" type="number" default="0.03"/>
		
				
	<!-- AIDetection -->
		<!-- sight -->
		<var name="ad_distance_sight" type="number" default="18000"/> <!-- tweaked 1 -->
		
		<var name="ad_view_cone_inner" type="number" default="20"/> <!-- tweaked 2 -->
		<var name="ad_view_cone_outer" type="number" default="200"/> <!-- tweaked 2 -->
		<var name="ad_view_cone_outer_combat_bonus" type="number" default="15"/> <!-- tweaked 2 -->
		
		<var name="ad_sight_detect_inc" type="number" default="0.75"/> <!-- tweaked 2 , + 0.07 for active human-->
		
		
		<!-- weapon sound -->
		<var name="ad_distance_hear_weapon_ls" type="number" default="25000"/> <!-- tweaked 1 -->
		<var name="ad_distance_hear_weapon_nls" type="number" default="10000"/> <!-- tweaked 1 -->
		<var name="ad_distance_hear_weapon_nls_combat_bonus" type="number" default="3000"/> <!-- tweaked 1 -->
		
		<var name="ad_hear_weapon_ls_mul" type="number" default="0.5"/> <!-- tweaked 1 -->
		<var name="ad_hear_weapon_nls_mul" type="number" default="0.2"/> <!-- tweaked 1 -->
		
		<var name="ad_hear_weapon_detect_inc" type="number" default="1.0"/> <!-- tweaked 1 -->
		
		
		<!-- body sound -->
		<var name="ad_distance_hear_body_ls" type="number" default="900"/> <!-- tweaked 1 -->
		<var name="ad_distance_hear_body_nls" type="number" default="500"/> <!-- tweaked 1 -->
		
		<var name="ad_hear_body_ls_mul" type="number" default="1.0"/> <!-- tweaked 1 -->
		<var name="ad_hear_body_nls_mul" type="number" default="0.8"/> <!-- tweaked 1 -->
		
		<var name="ad_hear_body_detect_inc" type="number" default="1.0"/> <!-- tweaked 1 -->
		
		
		<!-- auto detect -->
		<var name="ad_auto_detect_distance" type="number" default="1000"/> <!-- tweaked 1 -->
		
		
	<!-- AIDetection debugging -->
		<var name="ad_sight_activated" type="boolean" default="true"/>
		<var name="ad_hear_weapon_activated" type="boolean" default="true"/>
		<var name="ad_hear_body_activated" type="boolean" default="true"/>
		
		
	<!-- Human detect calcs -->
		<var name="ga_detection_dec_speed" type="number" default="0.1"/> <!-- tweaked 1 -->
		<var name="ga_noice_weapon_dec_speed" type="number" default="0.7"/> <!-- tweaked 1 -->
		
		<var name="ga_detection_inc_speed" type="number" default="0.5"/> <!-- not used -->
		<var name="ga_noice_body_inc_speed" type="number" default="0.08"/> <!-- not used -->
		
		<var name="ga_modify_detect_max" type="number" default="2.0"/>
		<var name="ga_modify_detect_min" type="number" default="1"/>
		<var name="ga_modify_detect_diff" type="number" default="0.7"/>
		
		
	<!-- Global weapon noice -->
		<var name="weapon_noice" type="number" default="1.5"/>
		<var name="weapon_noice_silenced" type="number" default="0.30"/>
		
		<var name="tac_cover_bonus" type="number" default="0.4"/>
		<var name="tac_cover_bonus_distance" type="number" default="200"/>
		
		
	<!-- Difficulty paramters -->
		<var name="level_difficulty" type="number" default="1.0"/>
		
		<var name="overall_enemy_precision" type="number" default="0.8"/>
		<var name="overall_friendly_precision" type="number" default="0.2"/>
		
		<var name="overall_enemy_tactical_difficulty" type="number" default="0.7"/>
		<var name="overall_friendly_tactical_difficulty" type="number" default="0.2"/>
		
		<var name="overall_tactical_difficulty" type="number" default="0.75"/>  <!-- not used -->
		
		
	<!-- Shooting parameters -->
		<var name="sho_spread_base" type="number" default="1.7"/>
		<var name="sho_spread_notarget" type="number" default="1.35"/>
		
		
	<!-- Player precision tweaking -->
		<var name="player_precision" type="number" default="1.0"/>
		<var name="player_precision_zoomed" type="number" default="0.8"/>
		 
	<!-- Player health tweaking -->
		<var name="player_health_multiplier" type="number" default="3"/>
		
		 
	<!-- ai rotation speed -->
		<var name="ai_gun_rot_speed" type="number" default="0.2"/>
		<var name="ai_move_rot_speed" type="number" default="0.2"/>
		 
	</block>
</stats_blocks>
